Subject: Re: [PATCH 3/3] powerpc: use __builtin_trap() in BUG/WARN macros.

From: Segher Boessenkool <[email-masked]>
Date: Mon, 19 Aug 2019 08:23:13 -0500

On Mon, Aug 19, 2019 at 01:06:31PM +0000, Christophe Leroy wrote:
> Note that we keep using an assembly text using "twi 31, 0, 0" for
> inconditional traps because GCC drops all code after
> __builtin_trap() when the condition is always true at build time.

As I said, it can also do this for conditional traps, if it can prove
the condition is always true.

Can you put the bug table asm *before* the __builtin_trap maybe?  That
should make it all work fine...  If you somehow can tell what machine
instruction is that trap, anyway.

Segher